language: cn
model_unique_abbr: detecting_flow_anomaly_by_dynamic_neighborhood
version: 1.0
identification:
  docker_image_name: detecting_flow_anomaly_by_dynamic_neighborhood:1.0
  model_name: 动态邻域框架下的时空序列异常探测

  semantic: Detecting Flow Anomaly by Dynamic Neighborhood
  description: 动态邻域框架下的时空序列异常探测是面对交通流等具有时变专题属性(速度、密度、流量等)的地理空间对象发现全局和局部时变属性异常的异常空间实体。
  category_application: 描述型
  category_data:
    - 点数据分析
    - 线数据分析
  keywords:
    - 动态邻域
    - 流量异常检测
parameter_info:
  parameters:
    - arg_name: distance_dataset
      is_single_en_dash: false
      param_type: input_data
      name: 距离数据集路径
      description: "道路起点和终点的距离数据集csv路径，包含from、to、cost三列，表示起点、终点、距离"
      data_type: csv
      data_semantic: distance_dataset

    - arg_name: traffic_flow_dataset
      is_single_en_dash: false
      param_type: input_data
      name: 交通流量数据集路径
      description: "交通流量数据集csv路径，包含time_step、sensor_id、traffic_flow、speed、occupancy五列，表示时间步、传感器ID、交通流量、速度、道路占有率"
      data_type: csv
      data_semantic: traffic_flow_dataset

    - arg_name: time_interval
      is_single_en_dash: false
      param_type: param
      name: 时间间隔
      description: "时间间隔，单位为秒，表示每个时间步的时间跨度，整数型数值，大于0"
      data_type: int
      data_semantic: time_interval
      specification:
        default: 300

    - arg_name: times
      is_single_en_dash: false
      param_type: param
      name: 时间次数
      description: "时间步数，取多少个时间步，整数型数值，大于0"
      data_type: int
      data_semantic: times
      specification:
        default: 288

    - arg_name: roads
      is_single_en_dash: false
      param_type: param
      name: 道路数量
      description: "探测的道路数量，整数型数值，大于0"
      data_type: int
      data_semantic: roads
      specification:
        default: 5

    - arg_name: k
      is_single_en_dash: true
      param_type: param
      name: 参数k
      description: "显著性阈值，浮点型数值，大于0"
      data_type: float
      data_semantic: k
      specification:
        default: 0.5

    - arg_name: result_table_path
      is_single_en_dash: false
      param_type: output_data
      name: 结果表格路径
      description: "结果图表路径，可视化出每条道路在每个时间点上的拥堵程度，html格式"
      data_type: html
      data_semantic: result_table_path

    - arg_name: result_csv_path
      is_single_en_dash: false
      param_type: output_data
      name: 结果csv文件路径
      description: "结果csv路径，每条道路在每个时间点上的拥堵程度，csv格式"
      data_type: csv
      data_semantic: result_csv_path

application:
  domain: 流量异常检测
  objective: 对于输入的交通流量数据，实现动态邻域检测流量异常
  dimension:
    - 二维
operation:
  usage: "该算法需要八个参数,距离数据集路径,交通流量数据集路径,时间间隔,时间次数,道路数量,参数k,结果表格路径,结果csv文件路径"
  exec_example:
    - docker run -v $(pwd):/data detecting_flow_anomaly_by_dynamic_neighborhood:1.0 --distance_dataset ../data/PEMS04/distance.csv --traffic_flow_dataset ../data/PEMS04/pems04.csv --time_interval 300 --times 288 --roads 5 -k 0.5 --result_table_path ../data/PEMS04/result_table.html --result_csv_path ../data/PEMS04/result.csv
  output_display:

    - "结果输出为csv格式，列名分别为：road_num,time,congestion。每条道路的在每个时间点上的拥堵程度可以绘制为折线图展示"

technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer: Your Name
  organization: Your Organization
  contact: your.email@example.com
  references:
    - "Shi, Y ., Deng, M., Y ang, X., et al 2018. Detecting anomalies in spatio Detecting anomalies in spatio-temporal flow data by constructing dynamic neighbourhoods. Computers Environment and Urban Systems, 67: 80–96."

